ALTER FUNCTION "dba"."get_tp_arv_tool"(in a_kuup1 date,in a_kuup2 date,in a_lepnr integer)
returns integer
begin
  declare li_return integer;
  set li_return=0;
  if a_kuup2 is not null and a_kuup2 >= a_kuup1 then
    per_loop: while a_kuup1 <= a_kuup2 loop
      if dow(a_kuup1) > 1 and dow(a_kuup1) < 7 then
        if not exists(select 1 from pa_tgraaf left outer join peatlist on pa_tgraaf.peatnr=peatlist.peatnr where pa_tgraaf.lepnr = a_lepnr and pa_tgraaf.akuup <= a_kuup1 and pa_tgraaf.lkuup >= a_kuup1 and peatlist.mtool=1 ) then
          if not exists(select 1 from pyhalist where pyhalist.pyhakuup = a_kuup1) then
            set li_return=li_return+1
          end if
        end if
      end if;
      set a_kuup1=Days(a_kuup1,1)
    end loop per_loop
  end if;
  return(li_return)
end